var http = require('http');
var url = require('url');
var qs = require('querystring');
 
var port = process.argv[2]
 
var server = http.createServer();
server.on('request', doRequest);
server.listen(port);
 
console.log('Server running!');
 
// リクエストの処理
function doRequest(req, res) {
    var data = "aaa";
 
    // GETリクエストだったら
    if (req.method === 'GET') {
        var url_parts = url.parse(req.url,true);
        console.log(url_parts);
        data += url_parts.query["word1"];
        data += url_parts.query["myppp"];
    }
 
    res.writeHead(200, { 'Content-Type': 'text/plain' });
    res.write(data);
    res.end();
    console.log("ノード側:OK");
}
 
/*
 * ここから下が、正しい終了記述の典型的なパターン。
 * 「query_node_terminate」という文字列が標準入力にインプットされると、
 * この.jsを起動したnodeを終了する。
 */
var readline = require('readline'),
rl = readline.createInterface(process.stdin, process.stdout);
 
rl.on('line', doLine);
rl.on('close', doClose);
 
function doLine(line) {
    switch(line.trim()) {
        case 'query_node_terminate':
            rl.close();
            process.stdin.destroy();
            break;
        default:
            break;
    }
}
 
function doClose() {
    process.exit(0);
}
 
console.log('running!');